%bcond_without tests
%global         srcname        uamqp

Summary:        AMQP 1.0 client library for Python
Name:           python-%{srcname}
Version:        1.6.9
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/Azure/azure-uamqp-python/
# tar from pypi.org build fail
Source0:        https://github.com/Azure/azure-uamqp-python/archive/refs/tags/v%{version}.tar.gz #/azure-uamqp-python-v%{version}.tar.gz
Patch3000:      python-uamqp-treat-warnings-as-warnings.patch

BuildRequires:  cmake gcc-c++ openssl-devel
BuildRequires:  pyproject-rpm-macros python3-devel
BuildRequires:  python3-Cython python3dist(setuptools)

%if %{with tests}
BuildRequires:  python3dist(certifi) python3dist(six)
BuildRequires:  python3dist(pytest) python3dist(pytest-asyncio)
%endif

%description
An AMQP 1.0 client library for Python.


%package -n python3-%{srcname}
Summary:        AMQP 1.0 client library for Python

%description -n python3-%{srcname}
An AMQP 1.0 client library for Python.


%prep
%autosetup -n azure-uamqp-python-%{version} -p1
sed -i '/cmake/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files uamqp


%if %{with tests}
%check
%pytest --disable-warnings -k "not test_error_loop_arg_async"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc HISTORY.rst README.rst


%changelog
* Thu Oct 31 2024 jackeyji <jackeyji@tencent.com> - 1.6.9-4
- [Type] other
- [DESC] Optimize the tarball address path

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.9-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.9-2
- Rebuilt for loongarch release

* Tue Jun 25 2024 jackeyji <jackeyji@tencent.com> - 1.6.9-1
- [Type] security
- [DESC] upgrade to 1.6.9 to fix CVE-2024-21646 and CVE-2024-27099

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-4
- Update BuildRequires: Cython3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 rockerzhu <rockerzhu@tencent.com> - 1.6.0-1
- Initial build
